import React from "react";
import { Redirect, Route, Switch } from "react-router-dom";
import UsersWrapper from "../pages/users/UsersWrapper";

function UsersRoute() {
  return (
    <Switch>
      <UsersWrapper>
        <Route
          path={`${process.env.PUBLIC_URL}/users/new`}
          exact
          component={() => <> New user goes here!!</>}
        />
        <Route path={`${process.env.PUBLIC_URL}/users`} exact>
          <Redirect to={`${process.env.PUBLIC_URL}/users/new`} />
        </Route>
      </UsersWrapper>
    </Switch>
  );
}

export default UsersRoute;
